ch.qos.logback.core.joran.action

## Class IADataForComplexProperty

- java.lang.Object
- - ch.qos.logback.core.joran.action.IADataForComplexProperty

    public class IADataForComplexProperty
    extends Object

Lump together several fields for use by `NestedComplexPropertyIA`.

Author:
  Ceki

### Constructor Summary

Constructors
Constructor and Description
`IADataForComplexProperty(PropertySetter parentBean, AggregationType aggregationType, String complexPropertyName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AggregationType` `getAggregationType()`
`String` `getComplexPropertyName()`
`Object` `getNestedComplexProperty()`
`void` `setNestedComplexProperty(Object nestedComplexProperty)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IADataForComplexProperty

    public IADataForComplexProperty(PropertySetter parentBean,
                                    AggregationType aggregationType,
                                    String complexPropertyName)

### Method Detail

#### getAggregationType

    public AggregationType getAggregationType()

#### getNestedComplexProperty

    public Object getNestedComplexProperty()

#### getComplexPropertyName

    public String getComplexPropertyName()

#### setNestedComplexProperty

    public void setNestedComplexProperty(Object nestedComplexProperty)